Upstream information

CVE-2011-3630 at MITRE

Description

Hardlink before 0.1.2 suffer from multiple stack-based buffer overflow flaws because of the way directory trees with deeply nested directories are processed. A remote attacker could provide a specially-crafted directory tree, and trick the local user into consolidating it, leading to hardlink executable crash, or, potentially arbitrary code execution with the privileges of the user running the hardlink executable.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.1
No SUSE Bugzilla entries cross referenced.

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP1
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • hardlink >= 1.0-6.45
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • hardlink >= 1.0+git.e66999f-1.25
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • hardlink >= 1.0-6.38
openSUSE Leap 15.0
  • hardlink >= 1.0+git.e66999f-lp150.1.8
Patchnames:
openSUSE Leap 15.0 GA hardlink
openSUSE Leap 42.1
  • hardlink >= 1.0-8.1
Patchnames:
openSUSE Leap 42.1 GA hardlink
openSUSE Leap 42.2
  • hardlink >= 1.0-9.4
Patchnames:
openSUSE Leap 42.2 GA hardlink
openSUSE Leap 42.3
  • hardlink >= 1.0-11.3
Patchnames:
openSUSE Leap 42.3 GA hardlink
openSUSE Tumbleweed
  • hardlink >= 1.0.g50-1.7
Patchnames:
openSUSE Tumbleweed GA hardlink